#This Docker is specific to Elasticsearch 1.7

FROM java:8-jre

ENV ES_VERSION 1.7.6
ENV ES_CFG_FILE "/elasticsearch/config/elasticsearch.yml"
ENV ES_HEAP_SIZE 3g

# Install ElasticSearch.
RUN \
  cd /tmp && \
  wget https://download.elasticsearch.org/elasticsearch/elasticsearch/elasticsearch-${ES_VERSION}.tar.gz && \
  tar xvzf elasticsearch-${ES_VERSION}.tar.gz && \
  rm -f elasticsearch-${ES_VERSION}.tar.gz && \
  mv /tmp/elasticsearch-${ES_VERSION} /elasticsearch

#Define mountable directories.
VOLUME ["/elasticsearch/data"]

#Define working directory.
WORKDIR /elasticsearch

EXPOSE 9200
EXPOSE 9300

#Install vim to be able to view logs
RUN ["apt-get", "update"]
RUN ["apt-get", "install", "-y", "vim"]

#Install UBB River plugin
RUN /elasticsearch/bin/plugin --url https://github.com/ubbdst/elasticsearch-rdf-river/releases/download/1.7.9/ubb-rdf-river-plugin-1.7.9.zip --install ubb-river-1.7.9

#Copy cluster config to docker
COPY elasticsearch.yml /elasticsearch/config/

#Copy Norwegian stopwords
COPY stopwords /elasticsearch/config/stopwords

ADD run /usr/local/bin/run
RUN chmod +x /usr/local/bin/run

#CMD run

CMD ./bin/elasticsearch ${ES_CFG_FILE}

#Building Elasticseach docker image
#docker 
#docker run --volumes-from fuseki --volume /Users/hru066/Desktop/es-data:/elasticsearch/data --name elasticsearch -p 9200:9200 -p 9300:9300 es
#docker run --volumes-from fuseki --name elasticsearch -p 9200:9200 -p 9300:9300 es